Skip to navigation

List

Lists the caller’s orders from every shipping integration with provider organizations expanded, filtering, sorting, pagination, and optional search. | () -> (ShippingIntegrationOrderListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenumOptional
Field to sort by.
Allowed values:
sort_orderenumOptional

Sort order (asc or desc).

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20
searchstring or nullOptional
Search provider order IDs and reference numbers.
filter_shipping_integration_order_idslist of strings or nullOptional
Filter by selected shipping integration order ids
filter_shipping_integrationlist of enums or nullOptional

Filter by shipping integration(s)

filter_provider_org_idlist of strings or nullOptional

Filter by provider org ID(s)

filter_statuslist of enums or nullOptional

Filter by unified status(es)

Allowed values:
filter_integration_order_idstring or nullOptional
Filter by the provider's exact order ID
filter_reference_numberstring or nullOptional
Filter by an exact reference number carried on the order
filter_ordered_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter ordered_at_timestamp >= value

filter_ordered_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter ordered_at_timestamp <= value

filter_completed_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter completed_at_timestamp >= value

filter_completed_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter completed_at_timestamp <= value

filter_last_mirrored_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter last_mirrored_at_timestamp >= value

filter_last_mirrored_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter last_mirrored_at_timestamp <= value

filter_first_mirrored_at_timestamp_gtestring or nullOptionalformat: "date-time"

Filter first_mirrored_at_timestamp >= value

filter_first_mirrored_at_timestamp_ltestring or nullOptionalformat: "date-time"

Filter first_mirrored_at_timestamp <= value

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Unprocessable Entity Error